curl https://api.portkey.ai/v1/fine_tuning/jobs/ftjob-abc123/checkpoints \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY"{
"data": [
{
"id": "<string>",
"created_at": 123,
"fine_tuned_model_checkpoint": "<string>",
"step_number": 123,
"metrics": {
"step": 123,
"train_loss": 123,
"train_mean_token_accuracy": 123,
"valid_loss": 123,
"valid_mean_token_accuracy": 123,
"full_valid_loss": 123,
"full_valid_mean_token_accuracy": 123
},
"fine_tuning_job_id": "<string>"
}
],
"has_more": true,
"first_id": "<string>",
"last_id": "<string>"
}List Fine-tuning Checkpoints
GET
/
fine_tuning
/
jobs
/
{fine_tuning_job_id}
/
checkpoints
curl https://api.portkey.ai/v1/fine_tuning/jobs/ftjob-abc123/checkpoints \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY"{
"data": [
{
"id": "<string>",
"created_at": 123,
"fine_tuned_model_checkpoint": "<string>",
"step_number": 123,
"metrics": {
"step": 123,
"train_loss": 123,
"train_mean_token_accuracy": 123,
"valid_loss": 123,
"valid_mean_token_accuracy": 123,
"full_valid_loss": 123,
"full_valid_mean_token_accuracy": 123
},
"fine_tuning_job_id": "<string>"
}
],
"has_more": true,
"first_id": "<string>",
"last_id": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://portkey-docs-fix-cache-hit-elaborate.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Portkey-Key & Virtual-KeyPortkey-Key & Provider-Auth & Provider-NamePortkey-Key & ConfigPortkey-Key & Provider-Auth & Provider-Name & Custom-Host
Path Parameters
The ID of the fine-tuning job to get checkpoints for.
Example:
"ft-AF1WoRqd3aJAHsqc9NY7iL8F"
Query Parameters
Identifier for the last checkpoint ID from the previous pagination request.
Number of checkpoints to retrieve.
Last modified on May 21, 2026
Was this page helpful?
โI

